QUEUELAT(8)

NAME
queuelat - Queue latency test program

SYNOPSIS
queuelat [-h] [-m max-queue-len] [-c cycles-per-packet] [-p mpps] [-f tsc-freq] [-t timeout]

DESCRIPTION
queuelat simulates a network queue checking for latency violations in packet processing.

OPTIONS
A summary of options is included below.

-h  Show help

-m max-queue-len
    Maximum allowed latency, in nanoseconds. If latency to process
    any packet exceeds this value, the program quits, writing
    a message to the trace buffer.

-c cycles-per-packet
    Estimated number of cycles it takes to process one packet.
    This value should come from the envisioned packet
    forwarding application being simulated.

-p mpps
    Million packets per second that arrive for processing.

-f tsc-freq-mhz
    TSC frequency in MHz.

-t timeout
    Timeout in seconds to quit the program.

AUTHOR
queuelat was written by Marcelo Tosatti <mtosatti@redhat.com>